package com.aiaioo.sentence;

import com.aiaioo.util.Range;

public class Chunk {
	protected TextSegment textSegment;
	protected Range range;
	
	public Chunk(TextSegment textSegment, Range range) {
		this.textSegment = textSegment;
		this.range = range;
	}

	public TextSegment getTextSegment() {
		return this.textSegment;
	}

	public Range getRange() {
		return this.range;
	}
	
	public boolean equals(Object other) {
		if (other instanceof Chunk && this.range != null && this.range.getStart() == (((Chunk)other).range.getStart()) && this.range.getEnd() == (((Chunk)other).range.getEnd())) {
			return true;
		}
		return false;
	}
	
	public String toString() {
		return this.range.toString();
	}
}
