/*
 * Licensed from AIAIOO Labs.
 * Copyright holder :  Aiaioo Labs, cohan@aiaioo.com, (2008, 2009, 2010).
 * 
*
*  The software source code in this file and the other files in this library
*  are covered by a license from Aiaioo Labs.
* 
 * The terms and conditions of the license
 * may be obtained from Aiaioo Labs, Bangalore, India (cohan@aiaioo.com).
*/

package com.aiaioo.util;

public class StringValue implements Feature {

	protected String value = null;

	public StringValue(String name) {
		this.value = name;
	}
	public String getValue() {
		return this.value;
	}
	public String toString() {
		return getValue();
	}
	public boolean equals(Object f) {
		return f != null && f instanceof StringValue && ((StringValue)f).toString().equals(this.toString());
	}
	public int hashCode() {
		return value.hashCode();
	}
}
