package com.aiaioo.sentence;

import com.aiaioo.util.Entity;
import com.aiaioo.util.Range;

public class EntityChunk extends Chunk {
	protected Entity entity;
	
	public EntityChunk(TextSegment textSegment, Range range, Entity entity) {
		this(textSegment, range);
		this.entity = entity;
	}

	public EntityChunk(TextSegment textSegment, Range range) {
		super(textSegment, range);
	}

	public Entity getEntity() {
		return entity;
	}
}
