/*
 * Licensed from AIAIOO Labs.
 * Copyright holder :  Aiaioo Labs, cohan@aiaioo.com, (2008, 2009, 2010).
 * 
*
*  The software source code in this file and the other files in this library
*  are covered by a license from Aiaioo Labs.
* 
 * The terms and conditions of the license
 * may be obtained from Aiaioo Labs, Bangalore, India (cohan@aiaioo.com).
*/

package com.aiaioo.util;

public class PinnedToken extends Token implements Pinned {
	private long position;

	public PinnedToken(String name, long position) {
		super(name);
		this.position = position;
	}

	public long getLength() {
		return this.getValue().length();
	}

	public long getPosition() {
		return position;
	}

	public void setLength(long position) {
	}

	public void setPosition(long position) {
		this.position = position;
	}
}
